### Function

# WPEPlatform Event scroll_new

#### Declaration [src]

    WPEEvent*
    wpe_event_scroll_new (
      WPEView* view,
      WPEInputSource source,
      guint32 time,
      WPEModifiers modifiers,
      double delta_x,
      double delta_y,
      gboolean precise_deltas,
      gboolean is_stop,
      double x,
      double y
    )

#### Description [src]

Create a `WPEEvent` for a scroll.

#### Parameters

`view`

  Type: `WPEView`

  A `WPEView`.

  The data is owned by the caller of the function.

`source`

  Type: `WPEInputSource`

  A `WPEInputSource`.

`time`

  Type: `guint32`

  The event timestamp.

`modifiers`

  Type: `WPEModifiers`

  A `WPEModifiers`.

`delta_x`

  Type: `double`

  Delta on the X axis.

`delta_y`

  Type: `double`

  Delta on the Y axis.

`precise_deltas`

  Type: `gboolean`

  Whether it has precise deltas.

`is_stop`

  Type: `gboolean`

  Whether it’s a stop event.

`x`

  Type: `double`

  The x coordinate of the pointer, or 0 if not a pointing device.

`y`

  Type: `double`

  The y coordinate of the pointer, or 0 if not a pointing device.

#### Return value

Type: `WPEEvent`

A new allocated `WPEEvent`.

The caller of the function takes ownership of the data, and is responsible for freeing it.